#include <linux/kernel.h>
#include <linux/config.h>
#include <linux/module.h>
#include <linux/init.h>
#include <linux/types.h>
#include <linux/input.h>

#define GPS_DEVNAME                                    "gps"
#define GPS_MAJOR                                      243

static int gps_open(struct inode *inode, struct file *file)
{
	return nonseekable_open(inode, file);
}

static int gps_release(struct inode *inode, struct file *file)
{
	return 0;
}

static int gps_ioctl(struct inode *inode, struct file *file, unsigned int cmd, unsigned long arg)
{
  return 0;
}

static struct file_operations gps_fops = {
	.owner		= THIS_MODULE,
	.ioctl		= gps_ioctl,
	.open		= gps_open,
	.release	= gps_release,
};


static int __init gps_mod_init(void)
{
	register_chrdev(GPS_MAJOR, GPS_DEVNAME, &gps_fops);
	return 0;
}

static void __exit gps_mod_exit(void)
{
	unregister_chrdev(GPS_MAJOR, GPS_DEVNAME);
}

module_init(gps_mod_init);
module_exit(gps_mod_exit);

MODULE_AUTHOR("Rasmus Rohde");
MODULE_DESCRIPTION("TomTom GPS Driver");
MODULE_LICENSE("GPL");
